> ## Documentation Index
> Fetch the complete documentation index at: https://bulkgrid.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a run

> Required permission: runs:read.



## OpenAPI

````yaml /api-reference/openapi.json get /api/v1/runs/{runId}
openapi: 3.0.3
info:
  title: Bulkgrid API
  version: 0.1.0
  description: >-
    Search indexed content, create crawl and extraction runs, and retrieve
    results. API keys require the scopes listed for each operation. OAuth
    connections grant MCP and search access only.
servers:
  - url: https://bulkgrid.com
    description: Bulkgrid
security:
  - apiKeyAuth: []
  - bearerAuth: []
tags:
  - name: Sources
    description: Source discovery, subscriptions, and indexing
  - name: Collections
    description: Collections and content selection rules
  - name: Search
    description: Search endpoints
  - name: Runs
    description: Run creation and lifecycle endpoints
  - name: Results
    description: Run result retrieval endpoints
paths:
  /api/v1/runs/{runId}:
    get:
      tags:
        - Runs
      summary: Get a run
      description: 'Required permission: runs:read.'
      operationId: getRun
      parameters:
        - name: runId
          in: path
          required: true
          schema:
            type: string
        - name: includeResults
          in: query
          required: false
          schema:
            type: boolean
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  indexed_pages:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  indexing_done:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  indexing_failed:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  indexing_failed_pages:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  indexing_in_progress:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  indexing_queued:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  deletion_requested_at:
                    nullable: true
                    type: string
                  id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  completed_at:
                    nullable: true
                    type: string
                  config:
                    $ref: '#/components/schemas/Schema45___schema0'
                  created_at:
                    type: string
                  credential_id:
                    nullable: true
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  done:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  error_code:
                    nullable: true
                    type: string
                  error_count:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  error_details:
                    nullable: true
                    allOf:
                      - $ref: '#/components/schemas/Schema45___schema0'
                  extraction_query:
                    nullable: true
                    type: string
                  extraction_schema:
                    nullable: true
                    allOf:
                      - $ref: '#/components/schemas/Schema45___schema0'
                  failed:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  in_progress:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  inline_credentials:
                    nullable: true
                    allOf:
                      - $ref: '#/components/schemas/Schema45___schema0'
                  indexing_completed_at:
                    nullable: true
                    type: string
                  indexing_started_at:
                    nullable: true
                    type: string
                  indexing_time_ms:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  last_error:
                    nullable: true
                    type: string
                  last_error_at:
                    nullable: true
                    type: string
                  last_heartbeat:
                    nullable: true
                    type: string
                  max_retries:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  message_ids:
                    type: array
                    items:
                      type: string
                  metadata:
                    nullable: true
                    allOf:
                      - $ref: '#/components/schemas/Schema45___schema0'
                  needs_dispatch:
                    type: boolean
                  priority:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  processing_time_ms:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  query:
                    nullable: true
                    type: string
                  queued:
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  requested_by_user_id:
                    nullable: true
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  retry_count:
                    nullable: true
                    type: integer
                    minimum: -9007199254740991
                    maximum: 9007199254740991
                  started_at:
                    nullable: true
                    type: string
                  status:
                    type: string
                    enum:
                      - pending
                      - processing
                      - completed
                      - failed
                      - cancelled
                  workspace_id:
                    type: string
                    format: uuid
                    pattern: >-
                      ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                  type:
                    type: string
                    enum:
                      - crawl
                      - deep_crawl
                      - extract
                      - source_sync
                  updated_at:
                    type: string
                  urls:
                    type: array
                    items:
                      type: string
                      format: uri
                  statistics:
                    type: object
                    properties:
                      total_results:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      success_count:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      error_count:
                        type: integer
                        minimum: 0
                        maximum: 9007199254740991
                      total_size:
                        type: number
                        minimum: 0
                      average_response_time:
                        type: number
                        minimum: 0
                    required:
                      - total_results
                      - success_count
                      - error_count
                      - total_size
                      - average_response_time
                    additionalProperties: false
                  crawl_results:
                    type: array
                    items:
                      type: object
                      properties:
                        clean_html_size:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        clean_html_url:
                          nullable: true
                          type: string
                        content_hash:
                          nullable: true
                          type: string
                        conversion_completed_at:
                          nullable: true
                          type: string
                        conversion_error:
                          nullable: true
                          type: string
                        conversion_started_at:
                          nullable: true
                          type: string
                        conversion_status:
                          nullable: true
                          type: string
                        conversion_time_ms:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        crawled_at:
                          nullable: true
                          type: string
                        created_at:
                          type: string
                        error_message:
                          nullable: true
                          type: string
                        extract_completed_at:
                          nullable: true
                          type: string
                        extract_started_at:
                          nullable: true
                          type: string
                        extract_time_ms:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        extraction_data:
                          nullable: true
                          allOf:
                            - $ref: '#/components/schemas/Schema45___schema0'
                        extraction_usage:
                          nullable: true
                          allOf:
                            - $ref: '#/components/schemas/Schema45___schema0'
                        file_checksum:
                          nullable: true
                          type: string
                        file_mime_type:
                          nullable: true
                          type: string
                        file_path:
                          nullable: true
                          type: string
                        file_size:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        final_url:
                          nullable: true
                          type: string
                        formats_requested:
                          nullable: true
                          type: array
                          items:
                            type: string
                        icon:
                          nullable: true
                          type: string
                        icon_size:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        images:
                          nullable: true
                          allOf:
                            - $ref: '#/components/schemas/Schema45___schema0'
                        indexing_completed_at:
                          nullable: true
                          type: string
                        indexing_started_at:
                          nullable: true
                          type: string
                        indexing_time_ms:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        run_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        links:
                          nullable: true
                          allOf:
                            - $ref: '#/components/schemas/Schema45___schema0'
                        markdown_size:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        markdown_url:
                          nullable: true
                          type: string
                        metadata:
                          nullable: true
                          allOf:
                            - $ref: '#/components/schemas/Schema45___schema0'
                        raw_html_size:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        raw_html_url:
                          nullable: true
                          type: string
                        response_time_ms:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        screenshot:
                          nullable: true
                          type: string
                        screenshot_format:
                          nullable: true
                          type: string
                        screenshot_height:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        screenshot_width:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        status_code:
                          nullable: true
                          type: integer
                          minimum: -9007199254740991
                          maximum: 9007199254740991
                        workspace_id:
                          type: string
                          format: uuid
                          pattern: >-
                            ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                        title:
                          nullable: true
                          type: string
                        url:
                          type: string
                          format: uri
                      required:
                        - clean_html_size
                        - clean_html_url
                        - content_hash
                        - conversion_completed_at
                        - conversion_error
                        - conversion_started_at
                        - conversion_status
                        - conversion_time_ms
                        - crawled_at
                        - created_at
                        - error_message
                        - extract_completed_at
                        - extract_started_at
                        - extract_time_ms
                        - extraction_data
                        - extraction_usage
                        - file_checksum
                        - file_mime_type
                        - file_path
                        - file_size
                        - final_url
                        - formats_requested
                        - icon
                        - icon_size
                        - id
                        - images
                        - indexing_completed_at
                        - indexing_started_at
                        - indexing_time_ms
                        - run_id
                        - links
                        - markdown_size
                        - markdown_url
                        - metadata
                        - raw_html_size
                        - raw_html_url
                        - response_time_ms
                        - screenshot
                        - screenshot_format
                        - screenshot_height
                        - screenshot_width
                        - status_code
                        - workspace_id
                        - title
                        - url
                      additionalProperties: false
                  source:
                    nullable: true
                    type: object
                    properties:
                      id:
                        type: string
                        format: uuid
                        pattern: >-
                          ^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$
                      icon_url:
                        nullable: true
                        type: string
                      integration_type:
                        type: string
                        enum:
                          - web
                          - upload
                          - github
                    required:
                      - id
                      - icon_url
                      - integration_type
                    additionalProperties: false
                required:
                  - id
                  - completed_at
                  - config
                  - created_at
                  - credential_id
                  - done
                  - error_code
                  - error_count
                  - error_details
                  - extraction_query
                  - extraction_schema
                  - failed
                  - in_progress
                  - inline_credentials
                  - indexing_completed_at
                  - indexing_started_at
                  - indexing_time_ms
                  - last_error
                  - last_error_at
                  - last_heartbeat
                  - max_retries
                  - message_ids
                  - metadata
                  - needs_dispatch
                  - priority
                  - processing_time_ms
                  - query
                  - queued
                  - requested_by_user_id
                  - retry_count
                  - started_at
                  - status
                  - workspace_id
                  - type
                  - updated_at
                  - urls
                  - statistics
                  - source
                additionalProperties: false
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '404':
          description: Not found
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '429':
          description: Rate limited
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: string
                  details: {}
                required:
                  - error
                additionalProperties: false
      security:
        - apiKeyAuth: []
        - bearerAuth: []
components:
  schemas:
    Schema45___schema0:
      anyOf:
        - type: string
          nullable: true
          enum:
            - null
        - type: boolean
        - type: number
        - type: string
        - type: array
          items:
            $ref: '#/components/schemas/Schema45___schema0'
        - type: object
          additionalProperties:
            $ref: '#/components/schemas/Schema45___schema0'
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key
      description: Bulkgrid API key
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bulkgrid API key or OAuth access token. OAuth grants currently allow
        search:query and mcp:use only.

````